Package org.eclipse.birt.chart.model.data.impl

# Class DataPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.data.impl.DataPackageImpl

All Implemented Interfaces:
  `DataPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class DataPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements DataPackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.data.DataPackage

`DataPackage.Literals`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.data.DataPackage

`ACTION, ACTION__TYPE, ACTION__VALUE, ACTION_FEATURE_COUNT, BASE_SAMPLE_DATA, BASE_SAMPLE_DATA__DATA_SET_REPRESENTATION, BASE_SAMPLE_DATA_FEATURE_COUNT, BIG_NUMBER_DATA_ELEMENT, BIG_NUMBER_DATA_ELEMENT__VALUE, BIG_NUMBER_DATA_ELEMENT_FEATURE_COUNT, BUBBLE_DATA_SET, BUBBLE_DATA_SET__VALUES, BUBBLE_DATA_SET_FEATURE_COUNT, DATA, DATA_ELEMENT, DATA_ELEMENT_FEATURE_COUNT, DATA_SET, DATA_SET__VALUES, DATA_SET_FEATURE_COUNT, DATE_TIME_DATA_ELEMENT, DATE_TIME_DATA_ELEMENT__VALUE, DATE_TIME_DATA_ELEMENT_FEATURE_COUNT, DATE_TIME_DATA_SET, DATE_TIME_DATA_SET__VALUES, DATE_TIME_DATA_SET_FEATURE_COUNT, DIFFERENCE_DATA_SET, DIFFERENCE_DATA_SET__VALUES, DIFFERENCE_DATA_SET_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GANTT_DATA_SET, GANTT_DATA_SET__VALUES, GANTT_DATA_SET_FEATURE_COUNT, MULTIPLE_ACTIONS, MULTIPLE_ACTIONS__ACTIONS, MULTIPLE_ACTIONS__PROPERTIES_MAP, MULTIPLE_ACTIONS__TYPE, MULTIPLE_ACTIONS__VALUE, MULTIPLE_ACTIONS_FEATURE_COUNT, NULL_DATA_SET, NULL_DATA_SET__VALUES, NULL_DATA_SET_FEATURE_COUNT, NUMBER_DATA_ELEMENT, NUMBER_DATA_ELEMENT__VALUE, NUMBER_DATA_ELEMENT_FEATURE_COUNT, NUMBER_DATA_SET, NUMBER_DATA_SET__VALUES, NUMBER_DATA_SET_FEATURE_COUNT, ORTHOGONAL_SAMPLE_DATA, ORTHOGONAL_SAMPLE_DATA__DATA_SET_REPRESENTATION, ORTHOGONAL_SAMPLE_DATA__SERIES_DEFINITION_INDEX, ORTHOGONAL_SAMPLE_DATA_FEATURE_COUNT, QUERY, QUERY__DEFINITION, QUERY__GROUPING, QUERY__RULES, QUERY_FEATURE_COUNT, RULE, RULE__TYPE, RULE__VALUE, RULE_FEATURE_COUNT, SAMPLE_DATA, SAMPLE_DATA__ANCILLARY_SAMPLE_DATA, SAMPLE_DATA__BASE_SAMPLE_DATA, SAMPLE_DATA__ORTHOGONAL_SAMPLE_DATA, SAMPLE_DATA_FEATURE_COUNT, SERIES_DEFINITION, SERIES_DEFINITION__FORMAT_SPECIFIER, SERIES_DEFINITION__GROUPING, SERIES_DEFINITION__QUERY, SERIES_DEFINITION__SERIES, SERIES_DEFINITION__SERIES_DEFINITIONS, SERIES_DEFINITION__SERIES_PALETTE, SERIES_DEFINITION__SORT_KEY, SERIES_DEFINITION__SORT_LOCALE, SERIES_DEFINITION__SORT_STRENGTH, SERIES_DEFINITION__SORTING, SERIES_DEFINITION__ZORDER, SERIES_DEFINITION_FEATURE_COUNT, SERIES_GROUPING, SERIES_GROUPING__AGGREGATE_EXPRESSION, SERIES_GROUPING__AGGREGATE_PARAMETERS, SERIES_GROUPING__ENABLED, SERIES_GROUPING__GROUP_TYPE, SERIES_GROUPING__GROUPING_INTERVAL, SERIES_GROUPING__GROUPING_ORIGIN, SERIES_GROUPING__GROUPING_UNIT, SERIES_GROUPING_FEATURE_COUNT, STOCK_DATA_SET, STOCK_DATA_SET__VALUES, STOCK_DATA_SET_FEATURE_COUNT, TEXT_DATA_SET, TEXT_DATA_SET__VALUES, TEXT_DATA_SET_FEATURE_COUNT, TRIGGER, TRIGGER__ACTION, TRIGGER__CONDITION, TRIGGER__TRIGGER_FLOW, TRIGGER_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAction()`
`org.eclipse.emf.ecore.EAttribute`
`getAction_Type()`
`org.eclipse.emf.ecore.EReference`
`getAction_Value()`
`org.eclipse.emf.ecore.EClass`
`getBaseSampleData()`
`org.eclipse.emf.ecore.EAttribute`
`getBaseSampleData_DataSetRepresentation()`
`org.eclipse.emf.ecore.EClass`
`getBigNumberDataElement()`
`org.eclipse.emf.ecore.EAttribute`
`getBigNumberDataElement_Value()`
`org.eclipse.emf.ecore.EClass`
`getBubbleDataSet()`
`org.eclipse.emf.ecore.EDataType`
`getData()`
`org.eclipse.emf.ecore.EClass`
`getDataElement()`
`DataFactory`
`getDataFactory()`
`org.eclipse.emf.ecore.EClass`
`getDataSet()`
`org.eclipse.emf.ecore.EAttribute`
`getDataSet_Values()`
`org.eclipse.emf.ecore.EClass`
`getDateTimeDataElement()`
`org.eclipse.emf.ecore.EAttribute`
`getDateTimeDataElement_Value()`
`org.eclipse.emf.ecore.EClass`
`getDateTimeDataSet()`
`org.eclipse.emf.ecore.EClass`
`getDifferenceDataSet()`
`org.eclipse.emf.ecore.EClass`
`getGanttDataSet()`
`org.eclipse.emf.ecore.EClass`
`getMultipleActions()`
`org.eclipse.emf.ecore.EReference`
`getMultipleActions_Actions()`
`org.eclipse.emf.ecore.EReference`
`getMultipleActions_PropertiesMap()`
`org.eclipse.emf.ecore.EClass`
`getNullDataSet()`
`org.eclipse.emf.ecore.EClass`
`getNumberDataElement()`
`org.eclipse.emf.ecore.EAttribute`
`getNumberDataElement_Value()`
`org.eclipse.emf.ecore.EClass`
`getNumberDataSet()`
`org.eclipse.emf.ecore.EClass`
`getOrthogonalSampleData()`
`org.eclipse.emf.ecore.EAttribute`
`getOrthogonalSampleData_DataSetRepresentation()`
`org.eclipse.emf.ecore.EAttribute`
`getOrthogonalSampleData_SeriesDefinitionIndex()`
`org.eclipse.emf.ecore.EClass`
`getQuery()`
`org.eclipse.emf.ecore.EAttribute`
`getQuery_Definition()`
`org.eclipse.emf.ecore.EReference`
`getQuery_Grouping()`
`org.eclipse.emf.ecore.EReference`
`getQuery_Rules()`
`org.eclipse.emf.ecore.EClass`
`getRule()`
`org.eclipse.emf.ecore.EAttribute`
`getRule_Type()`
`org.eclipse.emf.ecore.EAttribute`
`getRule_Value()`
`org.eclipse.emf.ecore.EClass`
`getSampleData()`
`org.eclipse.emf.ecore.EReference`
`getSampleData_AncillarySampleData()`
`org.eclipse.emf.ecore.EReference`
`getSampleData_BaseSampleData()`
`org.eclipse.emf.ecore.EReference`
`getSampleData_OrthogonalSampleData()`
`org.eclipse.emf.ecore.EClass`
`getSeriesDefinition()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_FormatSpecifier()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Grouping()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Query()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Series()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SeriesDefinitions()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SeriesPalette()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_Sorting()`
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SortKey()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_SortLocale()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_SortStrength()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_ZOrder()`
`org.eclipse.emf.ecore.EClass`
`getSeriesGrouping()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_AggregateExpression()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_AggregateParameters()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_Enabled()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupingInterval()`
`org.eclipse.emf.ecore.EReference`
`getSeriesGrouping_GroupingOrigin()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupingUnit()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupType()`
`org.eclipse.emf.ecore.EClass`
`getStockDataSet()`
`org.eclipse.emf.ecore.EClass`
`getTextDataSet()`
`org.eclipse.emf.ecore.EClass`
`getTrigger()`
`org.eclipse.emf.ecore.EReference`
`getTrigger_Action()`
`org.eclipse.emf.ecore.EAttribute`
`getTrigger_Condition()`
`org.eclipse.emf.ecore.EAttribute`
`getTrigger_TriggerFlow()`
`static DataPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static DataPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `DataPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `DataPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getAction

public org.eclipse.emf.ecore.EClass getAction()

Specified by:
  `getAction` in interface `DataPackage`
Returns:
  the meta object for class 'Action'.
See Also:
  - `Action`

### getAction_Type

public org.eclipse.emf.ecore.EAttribute getAction_Type()

Specified by:
  `getAction_Type` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Action.getType()`
  - `DataPackage.getAction()`

### getAction_Value

public org.eclipse.emf.ecore.EReference getAction_Value()

Specified by:
  `getAction_Value` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `Action.getValue()`
  - `DataPackage.getAction()`

### getBaseSampleData

public org.eclipse.emf.ecore.EClass getBaseSampleData()

Specified by:
  `getBaseSampleData` in interface `DataPackage`
Returns:
  the meta object for class 'Base Sample Data'.
See Also:
  - `BaseSampleData`

### getBaseSampleData_DataSetRepresentation

public org.eclipse.emf.ecore.EAttribute getBaseSampleData_DataSetRepresentation()

Specified by:
  `getBaseSampleData_DataSetRepresentation` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Data Set Representation'.
See Also:
  - `BaseSampleData.getDataSetRepresentation()`
  - `DataPackage.getBaseSampleData()`

### getBigNumberDataElement

public org.eclipse.emf.ecore.EClass getBigNumberDataElement()

Specified by:
  `getBigNumberDataElement` in interface `DataPackage`
Returns:
  the meta object for class 'Big Number Data Element'.
See Also:
  - `BigNumberDataElement`

### getBigNumberDataElement_Value

public org.eclipse.emf.ecore.EAttribute getBigNumberDataElement_Value()

Specified by:
  `getBigNumberDataElement_Value` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `BigNumberDataElement.getValue()`
  - `DataPackage.getBigNumberDataElement()`

### getBubbleDataSet

public org.eclipse.emf.ecore.EClass getBubbleDataSet()

Specified by:
  `getBubbleDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Bubble Data Set'.
See Also:
  - `BubbleDataSet`

### getDataElement

public org.eclipse.emf.ecore.EClass getDataElement()

Specified by:
  `getDataElement` in interface `DataPackage`
Returns:
  the meta object for class 'Element'.
See Also:
  - `DataElement`

### getDataSet

public org.eclipse.emf.ecore.EClass getDataSet()

Specified by:
  `getDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Set'.
See Also:
  - `DataSet`

### getDataSet_Values

public org.eclipse.emf.ecore.EAttribute getDataSet_Values()

Specified by:
  `getDataSet_Values` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Values'.
See Also:
  - `DataSet.getValues()`
  - `DataPackage.getDataSet()`

### getDateTimeDataElement

public org.eclipse.emf.ecore.EClass getDateTimeDataElement()

Specified by:
  `getDateTimeDataElement` in interface `DataPackage`
Returns:
  the meta object for class 'Date Time Data Element'.
See Also:
  - `DateTimeDataElement`

### getDateTimeDataElement_Value

public org.eclipse.emf.ecore.EAttribute getDateTimeDataElement_Value()

Specified by:
  `getDateTimeDataElement_Value` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `DateTimeDataElement.getValue()`
  - `DataPackage.getDateTimeDataElement()`

### getDateTimeDataSet

public org.eclipse.emf.ecore.EClass getDateTimeDataSet()

Specified by:
  `getDateTimeDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Date Time Data Set'.
See Also:
  - `DateTimeDataSet`

### getDifferenceDataSet

public org.eclipse.emf.ecore.EClass getDifferenceDataSet()

Specified by:
  `getDifferenceDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Difference Data Set'.
See Also:
  - `DifferenceDataSet`

### getGanttDataSet

public org.eclipse.emf.ecore.EClass getGanttDataSet()

Specified by:
  `getGanttDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Gantt Data Set'.
See Also:
  - `GanttDataSet`

### getMultipleActions

public org.eclipse.emf.ecore.EClass getMultipleActions()

Specified by:
  `getMultipleActions` in interface `DataPackage`
Returns:
  the meta object for class 'Multiple Actions'.
See Also:
  - `MultipleActions`

### getMultipleActions_Actions

public org.eclipse.emf.ecore.EReference getMultipleActions_Actions()

Specified by:
  `getMultipleActions_Actions` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  - `MultipleActions.getActions()`
  - `DataPackage.getMultipleActions()`

### getMultipleActions_PropertiesMap

public org.eclipse.emf.ecore.EReference getMultipleActions_PropertiesMap()

Specified by:
  `getMultipleActions_PropertiesMap` in interface `DataPackage`
Returns:
  the meta object for the map 'Properties Map'.
See Also:
  - `MultipleActions.getPropertiesMap()`
  - `DataPackage.getMultipleActions()`

### getNullDataSet

public org.eclipse.emf.ecore.EClass getNullDataSet()

Specified by:
  `getNullDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Null Data Set'.
See Also:
  - `NullDataSet`

### getNumberDataElement

public org.eclipse.emf.ecore.EClass getNumberDataElement()

Specified by:
  `getNumberDataElement` in interface `DataPackage`
Returns:
  the meta object for class 'Number Data Element'.
See Also:
  - `NumberDataElement`

### getNumberDataElement_Value

public org.eclipse.emf.ecore.EAttribute getNumberDataElement_Value()

Specified by:
  `getNumberDataElement_Value` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `NumberDataElement.getValue()`
  - `DataPackage.getNumberDataElement()`

### getNumberDataSet

public org.eclipse.emf.ecore.EClass getNumberDataSet()

Specified by:
  `getNumberDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Number Data Set'.
See Also:
  - `NumberDataSet`

### getOrthogonalSampleData

public org.eclipse.emf.ecore.EClass getOrthogonalSampleData()

Specified by:
  `getOrthogonalSampleData` in interface `DataPackage`
Returns:
  the meta object for class 'Orthogonal Sample Data'.
See Also:
  - `OrthogonalSampleData`

### getOrthogonalSampleData_DataSetRepresentation

public org.eclipse.emf.ecore.EAttribute getOrthogonalSampleData_DataSetRepresentation()

Specified by:
  `getOrthogonalSampleData_DataSetRepresentation` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Data Set Representation'.
See Also:
  - `OrthogonalSampleData.getDataSetRepresentation()`
  - `DataPackage.getOrthogonalSampleData()`

### getOrthogonalSampleData_SeriesDefinitionIndex

public org.eclipse.emf.ecore.EAttribute getOrthogonalSampleData_SeriesDefinitionIndex()

Specified by:
  `getOrthogonalSampleData_SeriesDefinitionIndex` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Series Definition Index'.
See Also:
  - `OrthogonalSampleData.getSeriesDefinitionIndex()`
  - `DataPackage.getOrthogonalSampleData()`

### getQuery

public org.eclipse.emf.ecore.EClass getQuery()

Specified by:
  `getQuery` in interface `DataPackage`
Returns:
  the meta object for class 'Query'.
See Also:
  - `Query`

### getQuery_Definition

public org.eclipse.emf.ecore.EAttribute getQuery_Definition()

Specified by:
  `getQuery_Definition` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Definition'.
See Also:
  - `Query.getDefinition()`
  - `DataPackage.getQuery()`

### getQuery_Rules

public org.eclipse.emf.ecore.EReference getQuery_Rules()

Specified by:
  `getQuery_Rules` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  - `Query.getRules()`
  - `DataPackage.getQuery()`

### getQuery_Grouping

public org.eclipse.emf.ecore.EReference getQuery_Grouping()

Specified by:
  `getQuery_Grouping` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Grouping'.
See Also:
  - `Query.getGrouping()`
  - `DataPackage.getQuery()`

### getRule

public org.eclipse.emf.ecore.EClass getRule()

Specified by:
  `getRule` in interface `DataPackage`
Returns:
  the meta object for class 'Rule'.
See Also:
  - `Rule`

### getRule_Type

public org.eclipse.emf.ecore.EAttribute getRule_Type()

Specified by:
  `getRule_Type` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Rule.getType()`
  - `DataPackage.getRule()`

### getRule_Value

public org.eclipse.emf.ecore.EAttribute getRule_Value()

Specified by:
  `getRule_Value` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Rule.getValue()`
  - `DataPackage.getRule()`

### getSampleData

public org.eclipse.emf.ecore.EClass getSampleData()

Specified by:
  `getSampleData` in interface `DataPackage`
Returns:
  the meta object for class 'Sample Data'.
See Also:
  - `SampleData`

### getSampleData_BaseSampleData

public org.eclipse.emf.ecore.EReference getSampleData_BaseSampleData()

Specified by:
  `getSampleData_BaseSampleData` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Base Sample Data'.
See Also:
  - `SampleData.getBaseSampleData()`
  - `DataPackage.getSampleData()`

### getSampleData_OrthogonalSampleData

public org.eclipse.emf.ecore.EReference getSampleData_OrthogonalSampleData()

Specified by:
  `getSampleData_OrthogonalSampleData` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Orthogonal Sample Data'.
See Also:
  - `SampleData.getOrthogonalSampleData()`
  - `DataPackage.getSampleData()`

### getSampleData_AncillarySampleData

public org.eclipse.emf.ecore.EReference getSampleData_AncillarySampleData()

Specified by:
  `getSampleData_AncillarySampleData` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Ancillary Sample Data'.
See Also:
  - `SampleData.getAncillarySampleData()`
  - `DataPackage.getSampleData()`

### getSeriesDefinition

public org.eclipse.emf.ecore.EClass getSeriesDefinition()

Specified by:
  `getSeriesDefinition` in interface `DataPackage`
Returns:
  the meta object for class 'Series Definition'.
See Also:
  - `SeriesDefinition`

### getSeriesDefinition_Query

public org.eclipse.emf.ecore.EReference getSeriesDefinition_Query()

Specified by:
  `getSeriesDefinition_Query` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Query'.
See Also:
  - `SeriesDefinition.getQuery()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_SeriesPalette

public org.eclipse.emf.ecore.EReference getSeriesDefinition_SeriesPalette()

Specified by:
  `getSeriesDefinition_SeriesPalette` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Series Palette'.
See Also:
  - `SeriesDefinition.getSeriesPalette()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_SeriesDefinitions

public org.eclipse.emf.ecore.EReference getSeriesDefinition_SeriesDefinitions()

Specified by:
  `getSeriesDefinition_SeriesDefinitions` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `SeriesDefinition.getSeriesDefinitions()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_FormatSpecifier

public org.eclipse.emf.ecore.EReference getSeriesDefinition_FormatSpecifier()

Specified by:
  `getSeriesDefinition_FormatSpecifier` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `SeriesDefinition.getFormatSpecifier()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_Series

public org.eclipse.emf.ecore.EReference getSeriesDefinition_Series()

Specified by:
  `getSeriesDefinition_Series` in interface `DataPackage`
Returns:
  the meta object for the containment reference list 'Series'.
See Also:
  - `SeriesDefinition.getSeries()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_Grouping

public org.eclipse.emf.ecore.EReference getSeriesDefinition_Grouping()

Specified by:
  `getSeriesDefinition_Grouping` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Grouping'.
See Also:
  - `SeriesDefinition.getGrouping()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_Sorting

public org.eclipse.emf.ecore.EAttribute getSeriesDefinition_Sorting()

Specified by:
  `getSeriesDefinition_Sorting` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Sorting'.
See Also:
  - `SeriesDefinition.getSorting()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_SortKey

public org.eclipse.emf.ecore.EReference getSeriesDefinition_SortKey()

Specified by:
  `getSeriesDefinition_SortKey` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Sort Key'.
See Also:
  - `SeriesDefinition.getSortKey()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_SortLocale

public org.eclipse.emf.ecore.EAttribute getSeriesDefinition_SortLocale()

Specified by:
  `getSeriesDefinition_SortLocale` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Sort Locale'.
See Also:
  - `SeriesDefinition.getSortLocale()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_SortStrength

public org.eclipse.emf.ecore.EAttribute getSeriesDefinition_SortStrength()

Specified by:
  `getSeriesDefinition_SortStrength` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Sort Strength'.
See Also:
  - `SeriesDefinition.getSortStrength()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesDefinition_ZOrder

public org.eclipse.emf.ecore.EAttribute getSeriesDefinition_ZOrder()

Specified by:
  `getSeriesDefinition_ZOrder` in interface `DataPackage`
Returns:
  the meta object for the attribute 'ZOrder'.
See Also:
  - `SeriesDefinition.getZOrder()`
  - `DataPackage.getSeriesDefinition()`

### getSeriesGrouping

public org.eclipse.emf.ecore.EClass getSeriesGrouping()

Specified by:
  `getSeriesGrouping` in interface `DataPackage`
Returns:
  the meta object for class 'Series Grouping'.
See Also:
  - `SeriesGrouping`

### getSeriesGrouping_Enabled

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_Enabled()

Specified by:
  `getSeriesGrouping_Enabled` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Enabled'.
See Also:
  - `SeriesGrouping.isEnabled()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_GroupingUnit

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupingUnit()

Specified by:
  `getSeriesGrouping_GroupingUnit` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Grouping Unit'.
See Also:
  - `SeriesGrouping.getGroupingUnit()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_GroupingOrigin

public org.eclipse.emf.ecore.EReference getSeriesGrouping_GroupingOrigin()

Specified by:
  `getSeriesGrouping_GroupingOrigin` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Grouping Origin'.
See Also:
  - `SeriesGrouping.getGroupingOrigin()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_GroupingInterval

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupingInterval()

Specified by:
  `getSeriesGrouping_GroupingInterval` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Grouping Interval'.
See Also:
  - `SeriesGrouping.getGroupingInterval()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_GroupType

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupType()

Specified by:
  `getSeriesGrouping_GroupType` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Group Type'.
See Also:
  - `SeriesGrouping.getGroupType()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_AggregateExpression

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_AggregateExpression()

Specified by:
  `getSeriesGrouping_AggregateExpression` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Aggregate Expression'.
See Also:
  - `SeriesGrouping.getAggregateExpression()`
  - `DataPackage.getSeriesGrouping()`

### getSeriesGrouping_AggregateParameters

public org.eclipse.emf.ecore.EAttribute getSeriesGrouping_AggregateParameters()

Specified by:
  `getSeriesGrouping_AggregateParameters` in interface `DataPackage`
Returns:
  the meta object for the attribute list 'Aggregate Parameters'.
See Also:
  - `SeriesGrouping.getAggregateParameters()`
  - `DataPackage.getSeriesGrouping()`

### getStockDataSet

public org.eclipse.emf.ecore.EClass getStockDataSet()

Specified by:
  `getStockDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Stock Data Set'.
See Also:
  - `StockDataSet`

### getTextDataSet

public org.eclipse.emf.ecore.EClass getTextDataSet()

Specified by:
  `getTextDataSet` in interface `DataPackage`
Returns:
  the meta object for class 'Text Data Set'.
See Also:
  - `TextDataSet`

### getTrigger

public org.eclipse.emf.ecore.EClass getTrigger()

Specified by:
  `getTrigger` in interface `DataPackage`
Returns:
  the meta object for class 'Trigger'.
See Also:
  - `Trigger`

### getTrigger_Condition

public org.eclipse.emf.ecore.EAttribute getTrigger_Condition()

Specified by:
  `getTrigger_Condition` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Condition'.
See Also:
  - `Trigger.getCondition()`
  - `DataPackage.getTrigger()`

### getTrigger_Action

public org.eclipse.emf.ecore.EReference getTrigger_Action()

Specified by:
  `getTrigger_Action` in interface `DataPackage`
Returns:
  the meta object for the containment reference 'Action'.
See Also:
  - `Trigger.getAction()`
  - `DataPackage.getTrigger()`

### getTrigger_TriggerFlow

public org.eclipse.emf.ecore.EAttribute getTrigger_TriggerFlow()

Specified by:
  `getTrigger_TriggerFlow` in interface `DataPackage`
Returns:
  the meta object for the attribute 'Trigger Flow'.
See Also:
  - `Trigger.getTriggerFlow()`
  - `DataPackage.getTrigger()`

### getData

public org.eclipse.emf.ecore.EDataType getData()

Specified by:
  `getData` in interface `DataPackage`
Returns:
  the meta object for data type 'Data'.
See Also:
  - `Object`

### getDataFactory

public DataFactory getDataFactory()

Specified by:
  `getDataFactory` in interface `DataPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.